<script setup lang="ts">
import { useTypebillcostStore } from '@/stores/typebillcost'

import { onMounted } from 'vue'

const typebillcostStore = useTypebillcostStore()

const headers = [
  { key: 'id', title: 'ID', sortable: false, value: 'id' },
  { key: 'name', title: 'Name', sortable: false, value: 'name' }
]

onMounted(async () => {
  await typebillcostStore.getTypebillcosts()
})
</script>

<template>
  <div>
    <v-data-table :headers="headers" :items="typebillcostStore.typebillcosts" height="664">
      <template v-slot:top>
        <v-toolbar flat style="background-color: #282828; color: white">
          <v-toolbar-title>TYPE BILL COST</v-toolbar-title>
        </v-toolbar>
      </template>
    </v-data-table>
  </div>
</template>
